org.apache.tiles.core.renderer

## Class DefinitionRenderer

- java.lang.Object
- - org.apache.tiles.core.renderer.DefinitionRenderer

- All Implemented Interfaces:
    Renderer

      public class DefinitionRenderer
      extends Object
      implements Renderer

  Renders an attribute that contains a reference to a definition.
  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionRenderer(TilesContainer container)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRenderable(String path, Request request)` Checks if this renderer can render a path.
    `void` | `render(String path, Request request)` Renders a path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefinitionRenderer

          public DefinitionRenderer(TilesContainer container)

      Constructor.
      Parameters:
        `container` - The Tiles container.

  - ### Method Detail

    - #### render

          public void render(String path,
                             Request request)
                      throws IOException

      Renders a path.
      Specified by:
        `render` in interface `Renderer`
      Parameters:
        `path` - The path to render.
        `request` - The Tiles request context.
      Throws:
        `IOException` - If something goes wrong during rendition.

    - #### isRenderable

          public boolean isRenderable(String path,
                                      Request request)

      Checks if this renderer can render a path. Note that this does not mean it is the best renderer available, but checks only its capability.
      Specified by:
        `isRenderable` in interface `Renderer`
      Parameters:
        `path` - The path to be rendered.
        `request` - The request context.
      Returns:
        `true` if this renderer can render the attribute.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.